com.brightcove.player.video360

## Interface RotationMonitor.Listener

- Enclosing class:
    RotationMonitor

      public static interface RotationMonitor.Listener

  Defines the contract of listener that can receive notifications about device rotation changes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onChanged(int orientation, float azimuth, float pitch, float roll, float azimuthChange, float pitchChange, float rollChange)` This method will be called by `RotationMonitor` whenever a rotation change is detected.
    `void` | `onDetected(int orientation, float azimuth, float pitch, float roll)` This method will be called by `RotationMonitor` the host device position is first detected.

- - ### Method Detail

    - #### onDetected

          void onDetected(int orientation,
                          float azimuth,
                          float pitch,
                          float roll)

      This method will be called by `RotationMonitor` the host device position is first detected.
      Parameters:
        `orientation` - the current orientation of the host device.
        `azimuth` - the current rotation around the Z axis
        `pitch` - the current rotation around the X axis
        `roll` - the current rotation around the Y axis

    - #### onChanged

          void onChanged(int orientation,
                         float azimuth,
                         float pitch,
                         float roll,
                         float azimuthChange,
                         float pitchChange,
                         float rollChange)

      This method will be called by `RotationMonitor` whenever a rotation change is detected.
      Parameters:
        `orientation` - the current orientation of the host device.
        `azimuth` - the current rotation around the Z axis
        `pitch` - the current rotation around the X axis
        `roll` - the current rotation around the Y axis
        `azimuthChange` - the delta between last rotation and the current rotation around the Z axis
        `pitchChange` - the delta between last rotation and the current rotation around the X axis
        `rollChange` - the delta between last rotation and the current rotation around the Y axis